Loading...
Searching...
No Matches
BALL::SASFace Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/SASFace.h>`

Inheritance diagram for BALL::SASFace:

## Public Types

Type definitions
typedef std::list< bool >::iterator | OrientationIterator
typedef std::list< bool >::const_iterator | ConstOrientationIterator
Public Types inherited from BALL::GraphFace< SASVertex, SASEdge, SASFace >
typedef std::list< SASVertex * >::iterator | VertexIterator
typedef std::list< SASVertex * >::const_iterator | ConstVertexIterator
typedef std::list< SASEdge * >::iterator | EdgeIterator
typedef std::list< SASEdge * >::const_iterator | ConstEdgeIterator

## Public Member Functions

Constructors and Destructors
| SASFace ()
| SASFace (const SASFace &sasface, bool deep=false)
virtual | ~SASFace ()
Assignments
void | set (const SASFace &sasface, bool deep=false)
SASFace & | operator= (const SASFace &sasface)
Accessors
void | setSphere (const TSphere3< double > &sphere)
TSphere3< double > | getSphere () const
Predicates
virtual bool | operator== (const SASFace &) const
virtual bool | operator!= (const SASFace &) const
virtual bool | operator*= (const SASFace &) const
External Iterators
OrientationIterator | beginOrientation ()
ConstOrientationIterator | beginOrientation () const
OrientationIterator | endOrientation ()
ConstOrientationIterator | endOrientation () const
Public Member Functions inherited from BALL::GraphFace< SASVertex, SASEdge, SASFace >
| GraphFace ()
virtual | ~GraphFace ()
void | set (const GraphFace< SASVertex, SASEdge, SASFace > &face, bool deep=false)
GraphFace< SASVertex, SASEdge, SASFace > & | operator= (const GraphFace< SASVertex, SASEdge, SASFace > &face)
void | insert (SASVertex *vertex)
void | remove (SASVertex *vertex)
Position | numberOfVertices () const
Position | numberOfEdges () const
void | setIndex (Index index)
Index | getIndex () const
bool | getEdges (const SASVertex *vertex, SASEdge *&edge1, SASEdge *&edge2) const
bool | getEdge (const SASVertex *vertex1, const SASVertex *vertex2, SASEdge *&edge) const
SASEdge * | getSimilarEdge (const SASEdge *edge) const
bool | substitute (const SASVertex *old_vertex, SASVertex *new_vertex)
SASVertex * | has (SASVertex *vertex) const
VertexIterator | beginVertex ()
VertexIterator | endVertex ()
EdgeIterator | beginEdge ()
EdgeIterator | endEdge ()

## Protected Attributes

Attributes
std::list< bool > | orientation_
TSphere3< double > | sphere_
std::list< SASVertex * > | vertex_
std::list< SASEdge * > | edge_
Index | index_

## Friends

Class friends

- class SASEdge
- class SASVertex
- class SolventAccessibleSurface
- class TriangulatedSAS
- class SASTriangulator

class | SASEdge
class | SASVertex
class | SolventAccessibleSurface
class | TriangulatedSAS
class | SASTriangulator
Friends inherited from BALL::GraphFace< SASVertex, SASEdge, SASFace >

## Detailed Description

Generic SASFace Class.

Definition at line 30 of file SASFace.h.

## Member Typedef Documentation

## ConstOrientationIterator

typedef std::list<bool>::const_iterator BALL::SASFace::ConstOrientationIterator

Definition at line 56 of file SASFace.h.

## OrientationIterator

typedef std::list<bool>::iterator BALL::SASFace::OrientationIterator

Definition at line 55 of file SASFace.h.

## Constructor & Destructor Documentation

## SASFace() [1/2]

BALL::SASFace::SASFace | ( |  | ) |

Default constructor. This method creates a new SASFace object.

## SASFace() [2/2]

BALL::SASFace::SASFace | ( | const SASFace & | sasface,
|  | bool | deep = false )

Copy constructor. Create a new SASFace object from another.

Parameters

  sasface | the SASFace object to be copied
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the new SASFace object is linked to the neighbours of the old SASFace object.

## ~SASFace()

virtual BALL::SASFace::~SASFace | ( |  | ) |

virtual

Destructor. Destructs the SASFace object.

## Member Function Documentation

## beginOrientation() [1/2]

OrientationIterator BALL::SASFace::beginOrientation | ( |  | ) |

## beginOrientation() [2/2]

ConstOrientationIterator BALL::SASFace::beginOrientation | ( |  | ) | const

## endOrientation() [1/2]

OrientationIterator BALL::SASFace::endOrientation | ( |  | ) |

## endOrientation() [2/2]

ConstOrientationIterator BALL::SASFace::endOrientation | ( |  | ) | const

## getSphere()

TSphere3< double > BALL::SASFace::getSphere | ( |  | ) | const

Return the sphere the GraphFace lies on.

Returns
  TSphere<double> the sphere the GraphFace lies on

## operator!=()

virtual bool BALL::SASFace::operator!= | ( | const SASFace & |  | ) | const

virtual

Inequality operator.

Returns
  bool false

Reimplemented from BALL::GraphFace< SASVertex, SASEdge, SASFace >.

## operator*=()

virtual bool BALL::SASFace::operator*= | ( | const SASFace & |  | ) | const

virtual

Similarity operator.

Returns
  bool true

Reimplemented from BALL::GraphFace< SASVertex, SASEdge, SASFace >.

## operator=()

SASFace & BALL::SASFace::operator= | ( | const SASFace & | sasface | ) |

Assign from another SASFace. The new SASFace object is linked to the neighbours of the SASFace object to assign from.

Parameters

  sasface | the SASFace object to assign from

## operator==()

virtual bool BALL::SASFace::operator== | ( | const SASFace & |  | ) | const

virtual

Equality operator.

Returns
  bool true

Reimplemented from BALL::GraphFace< SASVertex, SASEdge, SASFace >.

## set()

void BALL::SASFace::set | ( | const SASFace & | sasface,
|  | bool | deep = false )

Assign from another SASFace.

Parameters

  sasface | the SASFace object to assign from
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the new SASFace object is linked to the neighbours of the SASFace object to assign from.

## setSphere()

void BALL::SASFace::setSphere | ( | const TSphere3< double > & | sphere | ) |

Set the sphere the GraphFace lies on.

Parameters

  sphere | the new sphere

## Friends And Related Symbol Documentation

## SASEdge

friend class SASEdge

friend

Definition at line 43 of file SASFace.h.

## SASTriangulator

friend class SASTriangulator

friend

Definition at line 47 of file SASFace.h.

## SASVertex

friend class SASVertex

friend

Definition at line 44 of file SASFace.h.

## SolventAccessibleSurface

friend class SolventAccessibleSurface

friend

Definition at line 45 of file SASFace.h.

## TriangulatedSAS

friend class TriangulatedSAS

friend

Definition at line 46 of file SASFace.h.

## Member Data Documentation

## orientation_

std::list<bool> BALL::SASFace::orientation_

protected

Definition at line 171 of file SASFace.h.

## sphere_

TSphere3<double> BALL::SASFace::sphere_

protected

Definition at line 174 of file SASFace.h.